Bug 190012 - Recent strict policy updates produce an error during install
Recent strict policy updates produce an error during install
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-strict (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-26 13:46 EDT by Bruno Wolff III
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.2.38-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 12:49:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Wolff III 2006-04-26 13:46:22 EDT
Description of problem:
When I update the strict policy I get the following error messages from rpm:
libsepol.scope_copy_callback: authlogin: Duplicate declaration in module:
type/attribute system_chkpwd_t
libsemanage.semanage_link_sandbox: Link packages failed
semodule:  Failed!



Version-Release number of selected component (if applicable):
At least 2.2.29-3.fc5 and 2.2.34-3.fc5 have this problem.

How reproducible:
100%. I tried removing the package (as I am running in targetted on one machine
and mls on another, so this doesn't cause a problem) and reinstalling it and
get the same message.


Steps to Reproduce:
1. Use rpm to update or install selinux-policy-strict
2.
3.
  
Actual results:
The above error message appears.


Expected results:
No error message.


Additional info:
Comment 1 Daniel Walsh 2006-05-02 15:03:19 EDT
Fixed in selinux-policy-strict-2.2.36-2.fc5
Comment 3 Daniel Walsh 2006-05-05 11:06:58 EDT
Closing as these have been marked as modified, for a while.  Feel free to reopen
if not fixed
Comment 4 Bruno Wolff III 2006-05-08 15:50:45 EDT
When I just upgraded to 2.2.36-2.fc5 I got a similar, though not identical problem.

While doing the selinux-policy-strict part of the transaction I got this message:
libsepol.scope_copy_callback: authlogin: Duplicate declaration in module:
type/attribute system_chkpwd_t
libsemanage.semanage_link_sandbox: Link packages failed
semodule:  Failed!

Then while doing wrap up stuff for the whole transaction I got the following
message:libsepol.scope_copy_callback: authlogin: Duplicate declaration in
module: type/attribute system_chkpwd_t
libsemanage.semanage_link_sandbox: Link packages failed
semodule:  Failed!
error: %trigger(selinux-policy-strict-2.2.36-2.fc5.noarch) scriptlet failed,
exit status 1
Comment 5 Daniel Walsh 2006-05-09 08:13:07 EDT
Fixed in selinux-policy-strict-2.2.38-1.fc5
Comment 6 Bruno Wolff III 2006-05-10 12:12:42 EDT
I just updated to 2.2.38-1.fc5 on one of my machines and am still seeing
essentially the same problem.
Here is the rpm output:
[root@bruno bruno]# rpm -Fvh selinux-policy*
Preparing...                ########################################### [100%]
   1:selinux-policy         ########################################### [ 25%]
   2:selinux-policy-mls     ########################################### [ 50%]
/sbin/restorecon reset /usr/local/etc/dnscache/log/main/current context
system_u:object_r:etc_runtime_t:SystemLow->system_u:object_r:etc_t:SystemLow
/sbin/restorecon reset
/usr/local/etc/dnscache/log/main/@400000004461f6730332daf4.s context
system_u:object_r:etc_runtime_t:SystemLow->system_u:object_r:etc_t:SystemLow
   3:selinux-policy-strict  ########################################### [ 75%]
libsepol.scope_copy_callback: authlogin: Duplicate declaration in module:
type/attribute system_chkpwd_t
libsemanage.semanage_link_sandbox: Link packages failed
semodule:  Failed!
   4:selinux-policy-targeted########################################### [100%]
libsemanage.semanage_direct_remove: Module dpkg was not found.
semodule:  Failed on dpkg!
error: %trigger(selinux-policy-strict-2.2.36-2.fc5.noarch) scriptlet failed,
exit status 1
libsemanage.semanage_direct_remove: Module dpkg was not found.
semodule:  Failed on dpkg!
error: %trigger(selinux-policy-strict-2.2.38-1.fc5.noarch) scriptlet failed,
exit status 1
Comment 7 Bruno Wolff III 2006-05-15 12:49:29 EDT
Dan's comments in an email on fedora-test-list help me solve this.
selinux-policy-strict-2.2.34-3.fc5 was still showing up in the rpm database even
though selinux-policy-strict-2.2.36-2.fc5 was also installed. I needed to erase
it twice to get rid of it there. I also removed /usr/share/selinux/strict
/etc/selinux/strict as suggested in the email. Then when I reinstalled
selinux-policy-strict-2.2.38-1.fc5 I didn't see that problem.

Note You need to log in before you can comment on or make changes to this bug.